server:
  port: 12101

spring:
  datasource:
    driver-class-name: com.kingbase8.Driver
    url: jdbc:kingbase8://47.109.88.209:54321/gas?currentSchema=gas_service_db
    username: root
    password: zjtc321!
    druid:
      #配置初始化连接数大小
      initial-size: 50
      # 最大连接数
      maxActive: 150
      #最小连接数
      minIdle: 50
      #获取连接等待超时时间
      maxWait: 5000

  #Redis
  redis:
    host: 47.109.88.209
    port: 63799
    password: zjtc321!
    pool:
      max-total: 500
      max-idle: 100
      max-wait: 10
      min-idle: 1
      timeout: 6000


mybatis-plus:
  configuration:
    # 驼峰转换 从数据库列名到Java属性驼峰命名的类似映射
    map-underscore-to-camel-case: true
    # 是否开启缓存
    cache-enable: false
    # 如果查询结果中包含空值的列，则 MyBatis 在映射的时候，不会映射这个字段
    #call-setters-on-nulls: true
    # 打印sql
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    call-setters-on-nulls: true





